<?php

function plugin_audio_pre_convert() {
	if (func_num_args() < 1) return FALSE;
	$args = func_get_args();
	$name = trim($args[0]);
	if( $args[1] != "") $width = $args[1]."px"; else $width = "180px";
	if( $args[2] != "") $height = $args[2]."px"; else $height = "90px";

	// DEFAULT
	$autoplay = "autoplay";
	$loop = "loop";

	for($i=0; $i<5; $i++){
		if( $args[$i] == "standby") $autoplay = "";
		if( $args[$i] == "once") $loop = "";
	}

    return <<<HTML
		<div style="width:$width; padding-top:$height; background-image:url(image/speaker.png);
		background-size:cover; background-position:center;
		background-repeat: no-repeat;">
		<audio src="sound/$name" $autoplay $loop controls style="width:$width;">
			Sorry; your browser does not support this audio.
		</audio>
		</div>

HTML;

}

function plugin_audio_pre_inline() {
	$args = func_get_args();
	return call_user_func_array('plugin_audio_pre_convert', $args);
}

?>
