<?php


function plugin_flash_convert() {

	global $vars;
	// 添付ファイルのあるページ: defaultは現在のページ名
	$page = isset($vars['page']) ? $vars['page'] : '';
	
	$args = func_get_args();
	
	// 第一引数: "[ページ名および/]添付ファイル名"を取得
	$name = $args[0];
	
	if (preg_match('#^(.+)/([^/]+)$#', $name, $matches)) {
		if ($matches[1] == '.' || $matches[1] == '..') {
			$matches[1] .= '/'; // Restore relative paths
		}
		$name = $matches[2];
		$page = get_fullname(strip_bracket($matches[1]), $page); // strip is a compat
		$file = UPLOAD_DIR . encode($page) . '_' . encode($name);
		$is_file = is_file($file);

	} else {
		// Simple single argument
		$file = UPLOAD_DIR . encode($page) . '_' . encode($name);
		$is_file = is_file($file);
	}
	
	$width = $args[1];
    $height = $args[2];
    
    if($is_file){
    
    	return <<<HTML
<embed src="$file" type="application/x-shockwave-flash" width="$width" height="$height"></embed>
HTML;

	} else {
	
	    return "ERROR : 指定されたファイルが見つかりません";
	}

}


function plugin_flash_inline() {
	$args = func_get_args();
	return call_user_func_array('plugin_flash_convert', $args);
}


?>
