<?php

function plugin_fontawesome_convert() {
	if (func_num_args() < 1) return FALSE;

	$args = func_get_args();

	if( $args[0] != "") $className = $args[0]; else $className="";
	if( $args[1] != "") $ariaHidden = $args[1]; else $ariaHidden="FALSE";
	if( $args[2] != "") $text = $args[2]; else $text="";

	return <<<HTML
	<i class="$className" aria-hidden="$ariaHidden">$text</i>
HTML;
}

function plugin_fontawesome_inline() {
	$args = func_get_args();
	return call_user_func_array('plugin_fontawesome_convert', $args);
}

?>
