<?php

function plugin_panorama_convert()

{

	global $vars;
	// 添付ファイルのあるページ: defaultは現在のページ名
	$page = isset($vars['page']) ? $vars['page'] : '';
	
	$args = func_get_args();
	
	// 第一引数: "[ページ名および/]添付ファイル名"を取得
	$name = $args[0];
	
	if (preg_match('#^(.+)/([^/]+)$#', $name, $matches)) {
		if ($matches[1] == '.' || $matches[1] == '..') {
			$matches[1] .= '/'; // Restore relative paths
		}
		$name = $matches[2];
		$page = get_fullname(strip_bracket($matches[1]), $page); // strip is a compat
		$file = UPLOAD_DIR . encode($page) . '_' . encode($name);
		$is_file = is_file($file);

	} else {
		// Simple single argument
		$file = UPLOAD_DIR . encode($page) . '_' . encode($name);
		$is_file = is_file($file);
	}

    
    if($is_file){
    
	    return <<<HTML
<div class="panorama">
<script type="text/javascript">AC_FL_RunContent = 0;</script>
<script src="panorama/js/AC_RunActiveContent.js" type="text/javascript"></script>

<script type="text/javascript">
AC_FL_RunContent(
"codebase", "http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=10,0,0,0",
"pluginspage", "http://www.macromedia.com/go/getflashplayer",
"bgcolor", "#000000",
"width", $args[1],
"height", $args[2],
"id","RyubinPanorama",
"movie", "panorama/swf/RyubinPanoPlayer5",
"FlashVars","playmode=sphere&internal_ctrl=yes&img_path=$file&cursor_path=panorama/system_images/my_cursor.png&fov=120&yaw=0&pitch=0&smooth=yes&seg_lock=medium",
"allowFullScreen","true",
"allowScriptAccess","always"
); //end AC code
</script>
</div>
HTML;

	} else {
	
	    return "ERROR : 指定されたファイルが見つかりません";
	}
	
}

?>
