<?php

function plugin_video_convert() {

	$args = func_get_args();
	if( substr($args[0],-1,1) == "%") $width = $args[0]; else $width = "100%";

	// DEFAULT
	$autoplay = "autoplay";
	$muted = "muted";
	$loop = "loop";
	$fh = '1';
	$fv = '1';

	for($i=1; $i<6; $i++){
		if( $args[$i] == "standby") $autoplay = "";
		if( $args[$i] == "sound") $muted = "";
		if( $args[$i] == "once") $loop = "";
		if( $args[$i] == "flip-h") $fh = '-1';
		if( $args[$i] == "flip-v") $fv = '-1';

	}
	$style='style="-webkit-transform: scale('.$fh.','.$fv.');
			transform: scale('.$fh.','.$fv.');
			object-fit: fill; background-color: #aaaaaa;"';

	return <<<HTML
		<video width="$width" poster="./image/DropHere.png"
			$autoplay $muted $loop controls $style>
		</video>
HTML;

}

function plugin_video_inline() {
	$args = func_get_args();
	return call_user_func_array('plugin_video_convert', $args);
}

?>
