<?php

function plugin_webcam_convert() {
	$args = func_get_args();
	$id = randomStrings();
	if( $args[0] != "") $width = $args[0]; else $width = "100%";
	if( $args[1] != "") $height = $args[1]; else $height = "auto";

	$id = randomStrings(); // 複数エレメントを独立制御するための乱数

	// DEFAULT
	$autoplay = "autoplay";
	$fh = '1';
	$fv = '1';

	for($i=0; $i<5; $i++){
		if( $args[$i] == "standby") $autoplay = "";
		if( $args[$i] == "flip-h") $fh = '-1';
		if( $args[$i] == "flip-v") $fv = '-1';
	}
	$mirror='style="-webkit-transform: scale('.$fh.','.$fv.'); transform: scale('.$fh.','.$fv.');"';

    return <<<HTML

	<video id="$id" width="$width" height="$height" $mirror autoplay controls></video>

	<script>

		//navigator.getUserMedia = navigator.mediaDevices.getUserMedia;
		navigator.getUserMedia = navigator.getUserMedia || navigator.webkitGetUserMedia || navigator.mozGetUserMedia;
		navigator.getUserMedia( {video: true, audio: false}, ShowMedia_$id, DummyFunc_$id);

		function ShowMedia_$id(stream) {
			window.URL = window.URL || window.webkitURL;
			var obj = document.getElementById("$id");
			obj.src = window.URL.createObjectURL(stream);
		}

		function DummyFunc_$id() {
			//
		}

	</script>
HTML;

}

function plugin_webcam_inline() {
	$args = func_get_args();
	return call_user_func_array('plugin_webcam_convert', $args);
}

?>
