<?php

function plugin_audio_convert() {

	$args = func_get_args();
	if( $args[0] != "") $width = $args[0]."px"; else $width = "280px";
	if( $args[1] != "") $height = $args[1]."px"; else $height = "210px";

	// DEFAULT
	$autoplay = "autoplay";
	$loop = "loop";

	for($i=0; $i<4; $i++){
		if( $args[$i] == "standby") $autoplay = "";
		if( $args[$i] == "once") $loop = "";
	}

	//<audio>を<div>のfirstChildにするには、</div><audio>とする必要あり
	//改行すると、間にテキストノードが入るため、２番目のノードになる
	//もし、そのケースであれば、chiledNodes[1]で<audio>にアクセス可

	return <<<HTML

		<div class="audio" style="width:$width; padding-top:$height; background-image:url(image/DropHere_Sound.png);
		background-size:contain; background-position:center;
		background-repeat: no-repeat;"><audio $autoplay $loop controls style="width:$width;">
				Sorry; your browser does not support this audio.
			</audio>
		</div>

HTML;

}

function plugin_audio_inline() {
	$args = func_get_args();
	return call_user_func_array('plugin_audio_convert', $args);
}

?>
