<?php

function plugin_googlemap_convert() {

	if (func_num_args() < 6) return FALSE;

	$args = func_get_args();
	$type = $args[0];
	// m:マップ　k:サテライト　h:デュアル　p:地形
	$longitude = floatval($args[1]);
    $latitude = floatval($args[2]);
    $zoom = intval($args[3]);
    $width = $args[4];
    $height = $args[5];
    
    return <<<HTML
<iframe 
 width="$width" height="$height" frameborder="0" 
 src="http://maps.google.co.jp/maps?hl=ja&amp;ie=UTF8&amp;t=$type&amp;ll=$latitude,$longitude&amp;z=$zoom&amp;output=embed">
</iframe>
HTML;

}


function plugin_googlemap_inline() {
	$args = func_get_args();
	return call_user_func_array('plugin_googlemap_convert', $args);
}

?>
