<?php


function plugin_sound_convert() {

	global $vars;
	// 添付ファイルのあるページ: defaultは現在のページ名
	$page = isset($vars['page']) ? $vars['page'] : '';

	$args = func_get_args();

	// 第一引数: "[ページ名および/]添付ファイル名"を取得
	$name = $args[0];

	$type = substr($name, strlen($name)-3 , 3);

	if (preg_match('#^(.+)/([^/]+)$#', $name, $matches)) {
		if ($matches[1] == '.' || $matches[1] == '..') {
			$matches[1] .= '/'; // Restore relative paths
		}
		$name = $matches[2];
		$page = get_fullname(strip_bracket($matches[1]), $page); // strip is a compat
		$file = UPLOAD_DIR . encode($page) . '_' . encode($name);
		$is_file = is_file($file);

	} else {
		// Simple single argument
		$file = UPLOAD_DIR . encode($page) . '_' . encode($name);
		$is_file = is_file($file);
	}

    $width = $args[1]; if($width<180) $width = 180;
    $height = $args[2]; if($height<40) $height = 40;

    if($is_file){

    	return <<<HTML
<audio src="$file" controls></audio>
HTML;

	} else {

	    return "ERROR : 指定されたファイルが見つかりません";
	}

}

function plugin_sounds_inline() {
	$args = func_get_args();
	return call_user_func_array('plugin_sound_convert', $args);
}


?>
